import request from '@/utils/request'

export function listBreakage(query) {
  return request({
    url: '/warehouse-entry/page',
    method: 'get',
    params: query
  })
}

export function executeBreakage(query) {
  return request({
    url: '/warehouse-entry/execute',
    method: 'post',
    params:query
  })
}

export function createBreakage(data) {
  return request({
    url: '/warehouse-entry/add',
    method: 'post',
    data
  })
}

export function readBreakage(query) {
  return request({
    url: '/warehouse-entry/info',
    method: 'get',
    params:query
  })
}

export function updateBreakage(data) {
  return request({
    url: '/warehouse-entry/edit',
    method: 'post',
    data
  })
}

export function deleteBreakage(query) {
  return request({
    url: '/warehouse-entry/remove',
    method: 'post',
    params:query
  })
}
